Bug 5446 - Item creation in Acquisition module doesn't control mandatory fields
Summary: Item creation in Acquisition module doesn't control mandatory fields
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Frédéric Demians
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-26 06:43 UTC by Frédéric Demians
Modified: 2012-10-25 22:52 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Demians 2010-11-26 06:43:23 UTC
When AcqCreateItem is set to 'Create an item when placing an order', a
new item form is displayed: on /acqui/neworderempty.pl. This form uses
ACQ framework (Default if unavailable). Item fields defined as mandatory
are properly displayed: their label ends with a *. This display is
identical to the cataloging data entry form where it's impossible to
save an item with empty mandatory fields. This is not the case here, in
new order with item creation: it's possible to save the order with the
item containing empty mandatory fields.
Comment 1 Frédéric Demians 2010-11-26 07:25:28 UTC
Reported here:

https://listes.koha-fr.org/pipermail/infos/Week-of-Mon-20101122/003422.html
Comment 3 Koustubha Kale 2010-12-04 11:12:18 UTC
The patch works as promised..

Is it possible to show which mandatory fields are empty? And / Or take focus to that field? That would be great from usability point of view..
Comment 4 Chris Cormack 2010-12-11 18:51:56 UTC
Patch pushed to master
Comment 5 Marcel de Rooy 2010-12-16 13:48:16 UTC
If you have the preference set to Create item when cataloging, the javascript refers to unexisting variables and does no longer work. The Save button does no longer respond when entering from new empty record.
Comment 6 Marcel de Rooy 2010-12-17 11:20:51 UTC
Patch sent by Frederic. Tested and signed-off.
Comment 7 Owen Leonard 2010-12-17 13:28:22 UTC
Leaving as "reopened" until follow-up patch is pushed.
Comment 8 Chris Cormack 2010-12-19 08:26:34 UTC
Follow up patch pushed, please test
Comment 9 Marcel de Rooy 2010-12-20 08:54:28 UTC
Tested. Closing bug.